package router

import (
	"github.com/gin-gonic/gin"
	"kra/internal/modules/system/transport/handler"
)

func RegisterPayment(group, public *gin.RouterGroup, h *handler.Payment) {
	payment := group.Group("/payment")
	payment.GET("/configs", h.Configs)
	payment.POST("/config", h.SaveConfig)
	payment.GET("/orders", h.Orders)
	payment.POST("/order", h.Order)
	payment.POST("/create", h.Create)
	payment.POST("/query", h.Query)
	payment.POST("/refund", h.Refund)
	public.POST("/payment/callback/:provider", h.Callback)
}
